import request from '@/utils/request'

// 查询师傅技能配置列表
export function listSiteSkill(query) {
  return request({
    url: '/system/SiteSkill/list',
    method: 'get',
    params: query
  })
}

// 查询师傅技能配置详细
export function getSiteSkill(id) {
  return request({
    url: '/system/SiteSkill/' + id,
    method: 'get'
  })
}

// 新增师傅技能配置
export function addSiteSkill(data) {
  return request({
    url: '/system/SiteSkill',
    method: 'post',
    data: data
  })
}

// 修改师傅技能配置
export function updateSiteSkill(data) {
  return request({
    url: '/system/SiteSkill',
    method: 'put',
    data: data
  })
}

// 删除师傅技能配置
export function delSiteSkill(id) {
  return request({
    url: '/system/SiteSkill/' + id,
    method: 'delete'
  })
}
